AVFILE=		..
FFMPEG=		../../ffmpeg
DIGILIB=  	../../DigiLib
CMP=	    	g++
AR=		ar
CMPFLAGS=	-Wall -g -O3 -I. -I$(AVFILE)/Include -I$(FFMPEG)/libavformat -I$(FFMPEG)/libavcodec -I$(FFMPEG)/libavutil -I$(DIGILIB) -DAVFILE_HAVE_CONFIG -D_ISOC9X_SOURCE -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
ARFLAGS=	cr
LDFLAGS=	-L$(FFMPEG)/libavformat -L$(FFMPEG)/libavcodec  -L$(FFMPEG)/libavutil -L$(DIGILIB) -lavformat -lavcodec -lavutil -lpng
EXENAME=	libavfile.a
OBJFILES=	avfile.o bmpfile.o fffile.o avfile_utils.o

VPATH=$(AVFILE)/Src

%.o: %.cpp
	$(CMP) $(CMPFLAGS) -c $< -o $@

all: $(OBJFILES)
	$(AR) $(ARFLAGS) $(EXENAME) $(OBJFILES)

clean:
	rm -f $(OBJFILES)
	rm -f $(EXENAME)
	rm -f *.bak
